curl --location --request GET 'https://restaurantapi-qa.spoton.com/posexport/v1/locations//taxes' \
--header 'x-api-key;'
Retrieves all taxes for the supplied location.
Response Payload Structure
The response body for a "200 OK" response will contain a JSON array of tax objects. Each object in the array will be structured as follows:
Field Name
Field Type
Field Description
Org Level Attribute*
id
string
The unique ID for the tax.
Yes
locationId
string
The unique ID for the location.
name
string
The name of the tax.
Yes
deleted
boolean
True if the tax has been marked as deleted.
Yes
defaultRatePercentage
string
The default rate for the tax at the location. The value is expressed as a decimal percentage string (e.g., "6.5" represents a tax rate of 6.5%).
rateOverrides
[]RATEOVERRIDE
An array of tax rate overrides based on order type.
RATEOVERRIDE
Field Name
Field Type
Field Description
Org Level Attribute*
orderTypeId
string
The unique ID for the order type.
Yes
percentage
string
The overrided tax rate for the order type at the location. The value is expressed as a decimal percentage string (e.g., "6.5" represents a tax rate of 6.5%).
📘
*Note that the values of fields marked as "Org Level Attribute" are shared amongst all locations that reside in the same POS organization.